package cn.com.ctop.common.module.enums;

/**
 * 条件枚举
 *
 * @param
 * @author ZHAOXA
 * @return
 * @throws
 */
public enum SceneIdEnum {
    ONE(1, "优选广告位"),
    THREE(3, "视频播放页广告"),
    FIVE(5, "联盟广告"),
    SIX(6, "上下滑大屏广告"),
    SEVEN(7, "信息流广告"),
    TEN(10, "激励视频"),
    ELEVEN(11, "快看点场景");

    private Integer id;
    private String name;

    private SceneIdEnum(Integer id, String name) {
        this.id = id;
        this.name = name;
    }

    public static SceneIdEnum getEnumById(Integer id) {
        for (SceneIdEnum em : SceneIdEnum.values()) {
            if (em.id == id) {
                return em;
            }
        }
        return null;
    }

    public String getName() {
        return name;
    }

    public Integer getId() {
        return id;
    }
}
